# This file is genereted by trinity-automake-cmake-convert script by Fat-Zer

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### katesortplugin (kpart) ##############

tde_add_kpart( katesortplugin AUTOMOC
  SOURCES plugin_sort.cpp sortdialog.cpp sortdialoglayout.ui
  LINK kateinterfaces-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### icons #####################################

tde_install_icons( katesort )


##### other data ################################

install( FILES plugin_sort.rc
  DESTINATION ${DATA_INSTALL_DIR}/kate/plugins/sort
)

install( FILES katesort.desktop
  DESTINATION ${SERVICES_INSTALL_DIR}
)
